E_CREATE_LIST(3)

EXPERIMENTAL_FUNC
e_create_list - Create a periodic event management list.

SYNOPSIS
#include <karma_e.h>

KPeriodicEventList e_create_list

(unsigned long interval_us, unsigned long interval_s, void *list_info)

DESCRIPTION
Create a periodic event management list.

interval_us
    The microsecond component time between timeouts on this list.

interval_s
    The second component time between timeouts on this list.

list_info
    An arbitrary pointer passed to event functions on this list.

RETURN VALUE
A KPeriodicEventList on success, else the process aborts.

Multi-threading Level
Unsafe.

NOTE
The specified interval may be rounded up to the system timer resolution (10ms on many systems).

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/